Run of lintian-fixes for pytest-pylint

Try this locally (using the lintian-brush package):

debcheckout pytest-pylint
cd pytest-pylint
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
Opening branch at https://salsa.debian.org/python-team/modules/pytest-pylint.git/,branch=master
Using cached branch file:///home/janitor/vcs/git/pytest-pylint/,branch=master
Resuming from branch file:///home/janitor/vcs/git/pytest-pylint/,branch=lintian-fixes
All changes applied successfully.
Total 10 (delta 8), reused 0 (delta 0), pack-reused 0
Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
Text conflict in 
Text conflict in debian/changelog
restarting branch
All changes applied successfully.
only add-on fixers found
Building debian packages, running 'sbuild -A -v'.
Attempting to use fixer <function retry_apt_failure at 0x7f3461547dc0> to address <janitor.sbuild_log.AptFetchFailure object at 0x7f3454d87df0>
Elapsed time: 0:07:25.573512
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/workingtree.py", line 361, in get_file_with_stat
    file_obj = open(abspath, 'rb')
FileNotFoundError: [Errno 2] No such file or directory: '/home/janitor/tmp/tmptrxbi5v2/pytest-pylint/debian/changelog'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 653, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 608, in main
    with process_package(
  File "/usr/lib/python3.8/contextlib.py", line 113, in __enter__
    return next(self.gen)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 505, in process_package
    (changes_name, cl_version) = build_incrementally(
  File "/home/janitor/debian-janitor/janitor/fix_build.py", line 1069, in build_incrementally
    return attempt_build(
  File "/home/janitor/debian-janitor/janitor/build.py", line 178, in attempt_build
    add_dummy_changelog_entry(
  File "/home/janitor/debian-janitor/janitor/build.py", line 83, in add_dummy_changelog_entry
    with tree.get_file(path) as f:
  File "/home/janitor/debian-janitor/breezy/breezy/workingtree.py", line 354, in get_file
    return self.get_file_with_stat(path, filtered=filtered)[0]
  File "/home/janitor/debian-janitor/breezy/breezy/workingtree.py", line 364, in get_file_with_stat
    raise errors.NoSuchFile(path)
breezy.errors.NoSuchFile: No such file: 'debian/changelog'

Full worker log